apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: podinfo.gw.k8s.local
spec:
  rules:
    - filters:
        - type: RequestMirror
          requestMirror:
            backendRef:
              - name: podinfo-v2
                port: 9898
      backendRefs:
        - name: podinfo
          port: 9898